Download it now!
Bug 130827 - kf5: unable to dock floating toolbars in dock areas
Summary: kf5: unable to dock floating toolbars in dock areas
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2020-02-20 23:02 UTC by Jan-Marek Glogowski
Modified: 2020-02-22 10:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Marek Glogowski 2020-02-20 23:02:30 UTC
Undocking toolbars works as expected, but re-docking is just possible at the undock position using either the popup menu (arrow) of the toolbar decoration and selecting "Dock Toolbar" or by Ctrl + double click in some empty area of the toolbar.
Comment 1 Michael Weghorn 2020-02-21 07:35:08 UTC
Is this the same as bug 64438?
Comment 2 Jan-Marek Glogowski 2020-02-21 09:17:39 UTC
(In reply to Michael Weghorn from comment #1)
> Is this the same as bug 64438?

Honestly, I don't know. I just have two "facts" from trying the gen backend:

1. The floating Navigator window doesn't seem dockable with the mouse by moving it to the borders of the main window. When I move it around, I don't see any rectangles in dockable areas. "Ctrl + double click" still docks it on the left side for me, and when docked, I can even move its rectangle to the top dock area.

2. The floating Toolbars can be moved with the mouse and they appear as rectangles in the dockable areas (on all four borders). That interestingly includes the border on the right side of the sidebar.

Which left me to believe, that these are different problems and the latter one can eventually be fixed. Moving floating toolbars with gtk3 is currently broken for me on master. For kf5 the offset to the cursor is wrong, if the menu bar is enabled, which might the the real problem here, but that is just a guess.
Comment 3 Michael Weghorn 2020-02-21 10:01:29 UTC
Let's keep both bugs then.

bug confirmed with

Version: 7.0.0.0.alpha0+
Build ID: 796aeeb0f4c26824f3477b45e0d3bae9cf2c4648
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Commit Notification 2020-02-22 08:02:09 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4fe30879af391c32074a003a7a6ddd45431d212a

tdf#130827 Qt5 report frame-relative cursor pos

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-02-22 10:07:12 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/55007b9d2cba31448b1785069b26dcf71c9c122c

tdf#130827 Qt5 report frame-relative cursor pos

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.